/// class PD.Manage.Services.ViewService

PD.Manage.Services.ViewService = Class.extend({

    //===================================
    // PUBLIC METHODS
    //===================================

    deleteView: function (id, deleteLinked, success, error) {
        
        PD.ajax({
            type: "DELETE",
            url: PD.Path.resolve("~/Manage/ViewPublisher/Delete"),
            data: {
                id: id,
                deleteLinked: deleteLinked
            },
            success: success,
            error: error
        });

    },

    copyView: function (id, success, error) {

        PD.ajax({
            type: "PUT",
            url: PD.Path.resolve("~/Manage/ViewPublisher/Copy/" + id),
            success: success,
            error: error
        });

    }

});